"""Provide mechanism to get translations of messages"""

from .session import state

messages = state.messages


def get(msg):
    """Returns the translation of msg given lang"""
    default = "upper"
    lang = state.get_lang()
    if lang is not None and msg in messages[lang]:
        return messages[lang][msg]
    elif msg in messages[default]:
        response = [
            "Missing translation in language '%s'; using default." % lang,
            messages[default][msg],
        ]
        return "\n".join(response)
    else:
        return "Translation of the following does not exist: %s" % msg
